// DemoDlg.h : header file
//
//{{AFX_INCLUDES()
#include "graph3d.h"
//}}AFX_INCLUDES

#if !defined(AFX_DEMODLG_H__79C15C08_39F1_47DF_B83E_D539BB699027__INCLUDED_)
#define AFX_DEMODLG_H__79C15C08_39F1_47DF_B83E_D539BB699027__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

/////////////////////////////////////////////////////////////////////////////
// CDemoDlg dialog

class CDemoDlg : public CDialog
{
// Construction
public:
	CDemoDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	//{{AFX_DATA(CDemoDlg)
	enum { IDD = IDD_DEMO_DIALOG };
	CComboBox	m_cmbTrackMode;
	CGraph3D	m_Graph3D;
	BOOL	m_bProjection;
	BOOL	m_bRandom;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDemoDlg)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDemoDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnCheckProjection();
	afx_msg void OnButtonProperties();
	afx_msg void OnCloseupComboMode();
	afx_msg void OnButton1();
	afx_msg void OnButton2();
	afx_msg void OnButton3();
	afx_msg void OnTimer(UINT nIDEvent);
	afx_msg void OnCheckRandom();
	afx_msg void OnCopyToClipboard();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DEMODLG_H__79C15C08_39F1_47DF_B83E_D539BB699027__INCLUDED_)
